#encoding: utf-8
#----------------------------------------
# Mod pour \pokemonsdk\scripts\01300 UI\09001 NameInput\00001 NameInputBaseUI.rb
#----------------------------------------
# Partie 1/3 du mod du Custom Name Input - cette partie permet d'avoir un background custom en HD.

module UI
	class NameInputBaseUI < GenericBase
		private void_method :create_button_background
		public void_method :update_background_animation

		private

		def create_background #Tout moddé - Modif validée - background custom
		@background = Sprite.new(@viewport).set_bitmap("keyboard_input/nameinput_back", :interface)
		@background.zoom = 0.5
		filename = "keyboard_input/text4keyboard_#{$options.language}"
		filename = 'keyboard_input/text4keyboard_en' unless RPG::Cache.interface_exist?(filename)
		@text4keyboard = Sprite.new(@viewport).set_bitmap(filename, :interface)
		@text4keyboard.zoom = 0.5
		@text4keyboard.z = 2
		end

	end
end